This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### [] (array access)
Examples |
    int[] numbers = new int[3];
    numbers[0] = 90;
    numbers[1] = 150;
    numbers[2] = 30;
    int a = numbers[0] + numbers[1]; // Sets variable 'a' to 240
    int b = numbers[1] + numbers[2]; // Sets variable 'b' to 180
Description | The array access operator is used to specify a location within an array. The data at this location can be defined with the syntax array[element] = value and read with the syntax value = array[element] as shown in the above example.
Syntax |
    datatype[]
    array[element]
Parameters |
datatype | any primitive or compound datatype, including user-defined classes
array | any valid variable name
element | int: must not exceed the length of the array minus 1
Related | Array

Updated on October 26, 2013 08:58:34pm PDT